## org.eclipse.m2m.atl.engine.emfvm.launch
Interface ITool

All Known Implementing Classes:
  NetworkDebugger, ProfilingTool

    public interface ITool

Interface for ATL VM debuggers (or other tools like profilers).

Method Summary
`void` `enter(AbstractStackFrame frame)` Enters the frame.
`void` `error(AbstractStackFrame frame, java.lang.String msg, java.lang.Exception e)` Throws an error.
`void` `leave(AbstractStackFrame frame)` Leaves the frame.
`void` `step(AbstractStackFrame frame)` Steps into the frame.
`void` `terminated()` Terminates the execution.

Method Detail

### enter

    void enter(AbstractStackFrame frame)

  Enters the frame.

  Parameters:
    `frame` - the frame to enter in

### leave

    void leave(AbstractStackFrame frame)

  Leaves the frame.

  Parameters:
    `frame` - the frame to leave

### step

    void step(AbstractStackFrame frame)

  Steps into the frame.

  Parameters:
    `frame` - the frame to step

### terminated

    void terminated()

  Terminates the execution.

### error

    void error(AbstractStackFrame frame,
               java.lang.String msg,
               java.lang.Exception e)

  Throws an error.

  Parameters:
    `frame` - the current frame
    `msg` - the error message
    `e` - the exception

Copyright 2007 IBM Corporation and others. All Rights Reserved.